Qt 5.6 | Qt Multimedia | C++ Classes | QGraphicsVideoItem

Qt 5.6.3 Reference Documentation

# QGraphicsVideoItem Class

The QGraphicsVideoItem class provides a graphics item which display video produced by a QMediaObject. More...

Header: | #include <QGraphicsVideoItem>
qmake: | QT += multimediawidgets
Inherits: | QMediaBindableInterface and

- List of all members, including inherited members

## Properties

- aspectRatioMode : Qt::AspectRatioMode
- mediaObject : QMediaObject * const
- nativeSize : const QSizeF

- offset : QPointF
- size : QSizeF

## Public Functions

| QGraphicsVideoItem(QGraphicsItem *parent = Q_NULLPTR)
| ~QGraphicsVideoItem()
Qt::AspectRatioMode | aspectRatioMode() const
QRectF | boundingRect() const
QSizeF | nativeSize() const
QPointF | offset() const
void | paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = Q_NULLPTR)
void | setAspectRatioMode(Qt::AspectRatioMode mode)
void | setOffset(const QPointF &offset)
void | setSize(const QSizeF &size)
QSizeF | size() const

## Reimplemented Public Functions

virtual QMediaObject * | mediaObject() const

- 1 public function inherited from QMediaBindableInterface

## Signals

void | nativeSizeChanged(const QSizeF &size)

### Additional Inherited Members

- 1 protected function inherited from QMediaBindableInterface

## Detailed Description

The QGraphicsVideoItem class provides a graphics item which display video produced by a QMediaObject.

Attaching a QGraphicsVideoItem to a QMediaObject allows it to display the video or image output of that media object. A QGraphicsVideoItem is attached to a media object by passing a pointer to the QMediaObject to the setMediaObject() function.

      player = new QMediaPlayer(this);

      QGraphicsVideoItem *item = new QGraphicsVideoItem;
      player->setVideoOutput(item);
      graphicsView->scene()->addItem(item);
      graphicsView->show();

      player->setMedia(QUrl("http://example.com/myclip4.ogv"));
      player->play();

Note: Only a single display output can be attached to a media object at one time.

See also QMediaObject, QMediaPlayer, and QVideoWidget.

## Property Documentation

### aspectRatioMode : Qt::AspectRatioMode

This property holds how a video is scaled to fit the graphics item's size.

Access functions:

Qt::AspectRatioMode | aspectRatioMode() const
void | setAspectRatioMode(Qt::AspectRatioMode mode)

### mediaObject : QMediaObject * const

This property holds the media object which provides the video displayed by a graphics item.

Access functions:

virtual QMediaObject * | mediaObject() const

### nativeSize : const QSizeF

This property holds the native size of the video.

Access functions:

QSizeF | nativeSize() const

Notifier signal:

void | nativeSizeChanged(const QSizeF &size)

### offset : QPointF

This property holds the video item's offset.

QGraphicsVideoItem will draw video using the offset for its top left corner.

Access functions:

QPointF | offset() const
void | setOffset(const QPointF &offset)

### size : QSizeF

This property holds the video item's size.

QGraphicsVideoItem will draw video scaled to fit size according to its fillMode.

Access functions:

QSizeF | size() const
void | setSize(const QSizeF &size)

## Member Function Documentation

### QGraphicsVideoItem::QGraphicsVideoItem(QGraphicsItem *parent = Q_NULLPTR)

Constructs a graphics item that displays video.

The parent is passed to QGraphicsItem.

### QGraphicsVideoItem::~QGraphicsVideoItem()

Destroys a video graphics item.

### QRectF QGraphicsVideoItem::boundingRect() const

### `[signal]` void QGraphicsVideoItem::nativeSizeChanged(const QSizeF &size)

Signals that the native size of the video has changed.

Note: Notifier signal for property nativeSize.

### void QGraphicsVideoItem::paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget = Q_NULLPTR)